import { Container, DefaultProperties } from '@react-three/uikit';
import React from 'react';
import { colors } from './theme';
const badgeVariants = {
    default: {
        defaultProps: {
            color: colors.primaryForeground,
        },
        containerProps: {
            backgroundColor: colors.primary,
        },
        containerHoverProps: {
            backgroundOpacity: 0.8,
        },
    },
    secondary: {
        defaultProps: {
            color: colors.secondaryForeground,
        },
        containerProps: {
            backgroundColor: colors.secondary,
        },
        containerHoverProps: {
            backgroundOpacity: 0.8,
        },
    },
    destructive: {
        defaultProps: {
            color: colors.destructiveForeground,
        },
        containerProps: {
            backgroundColor: colors.destructive,
        },
        containerHoverProps: {
            backgroundOpacity: 0.8,
        },
    },
    outline: {},
};
export function Badge({ children, variant = 'default', hover, ...props }) {
    const { containerProps, defaultProps, containerHoverProps } = badgeVariants[variant];
    return (React.createElement(Container, { borderRadius: 1000, border: 1, paddingX: 10, paddingY: 2, hover: { ...containerHoverProps, ...hover }, ...containerProps, ...props },
        React.createElement(DefaultProperties, { fontSize: 12, lineHeight: 1.3333, fontWeight: "semi-bold", ...defaultProps }, children)));
}
