import { Container, DefaultProperties } from '@react-three/uikit';
import React from 'react';
import { colors } from './theme';
export function Card({ children, ...props }) {
    return (React.createElement(Container, { flexDirection: "column", borderRadius: 8, border: 1, backgroundColor: colors.card, ...props },
        React.createElement(DefaultProperties, { color: colors.cardForeground }, children)));
}
export function CardHeader(props) {
    return React.createElement(Container, { padding: 24, flexDirection: "column", gap: 6, ...props });
}
export function CardTitle({ children }) {
    return (React.createElement(DefaultProperties, { fontWeight: "semi-bold", letterSpacing: -0.4, fontSize: 24, lineHeight: 1 }, children));
}
export function CardDescription({ children }) {
    return (React.createElement(DefaultProperties, { fontSize: 14, lineHeight: 1.43, color: colors.mutedForeground }, children));
}
export function CardContent(props) {
    return React.createElement(Container, { padding: 24, paddingTop: 0, ...props });
}
export function CardFooter(props) {
    return React.createElement(Container, { flexDirection: "row", alignItems: "center", padding: 24, paddingTop: 0, ...props });
}
