import { Container } from '@react-three/uikit';
import { Check } from '@react-three/uikit-lucide';
import React, { useState } from 'react';
import { colors } from './theme';
export function Checkbox({ defaultChecked, checked: providedChecked, disabled = false, onCheckedChange, ...props }) {
    const [uncontrolled, setUncontrolled] = useState(defaultChecked ?? false);
    const checked = providedChecked ?? uncontrolled;
    return (React.createElement(Container, { alignItems: "center", justifyContent: "center", cursor: disabled ? undefined : 'pointer', onClick: disabled
            ? undefined
            : () => {
                if (providedChecked == null) {
                    setUncontrolled(!checked);
                }
                onCheckedChange?.(!checked);
            }, borderRadius: 4, width: 16, height: 16, border: 1, borderColor: colors.primary, backgroundColor: checked ? colors.primary : undefined, backgroundOpacity: disabled ? 0.5 : undefined, borderOpacity: disabled ? 0.5 : undefined, ...props },
        React.createElement(Check, { color: checked ? colors.primaryForeground : undefined, opacity: checked ? (disabled ? 0.5 : undefined) : 0, width: 14, height: 14 })));
}
