import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
export declare function DialogAnchor({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare function useDialogContext(): {
    setOpen: (open: boolean) => void;
    setContent: (element: React.ReactNode) => void;
};
export declare function Dialog({ children, open: providedOpen, onOpenChange, defaultOpen, }: {
    children?: ReactNode;
    open?: boolean;
    defaultOpen?: boolean;
    onOpenChange?: (open: boolean) => void;
}): React.JSX.Element;
export declare function DialogTrigger({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare function DialogOverlay(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function useCloseDialog(): () => void;
export declare function DialogContentPrimitive({ children }: {
    children?: ReactNode;
}): null;
export declare function DialogContent({ children, sm, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function DialogHeader({ children, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function DialogFooter(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function DialogTitle({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare function DialogDescription({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
