import { Container, Text } from '@react-three/uikit';
import { ChevronLeft, ChevronRight, MoreHorizontal } from '@react-three/uikit-lucide';
import React from 'react';
import { colors } from './theme';
export function Pagination(props) {
    return React.createElement(Container, { marginX: "auto", flexDirection: "row", width: "100%", justifyContent: "center", ...props });
}
export function PaginationContent(props) {
    return React.createElement(Container, { flexDirection: "row", alignItems: "center", gap: 4, ...props });
}
export const PaginationItem = Container;
const paginationVariants = {
    outline: {
        containerProps: {
            border: 1,
            borderColor: colors.input,
            backgroundColor: colors.background,
        },
        containerHoverProps: {
            backgroundColor: colors.accent,
        },
    }, //TODO: hover:text-accent-foreground",
    ghost: {
        containerHoverProps: {
            backgroundColor: colors.accent,
        },
    }, // TODO: hover:text-accent-foreground",
};
const paginationSizes = {
    default: { height: 40, paddingX: 16, paddingY: 8 },
    sm: { height: 36, paddingX: 12 },
    lg: { height: 42, paddingX: 32 },
    icon: { height: 40, width: 40 },
};
export function PaginationLink({ isActive = false, size = 'icon', hover, ...props }) {
    const { containerProps, containerHoverProps } = paginationVariants[isActive ? 'outline' : 'ghost'];
    const sizeProps = paginationSizes[size];
    return (React.createElement(Container, { cursor: "pointer", borderRadius: 6, alignItems: "center", justifyContent: "center", hover: { ...containerHoverProps, ...hover }, ...containerProps, ...sizeProps, ...props }));
}
export function PaginationPrevious(props) {
    return (React.createElement(PaginationLink, { flexDirection: "row", size: "default", gap: 4, paddingLeft: 10, ...props },
        React.createElement(ChevronLeft, { width: 16, height: 16 }),
        React.createElement(Text, null, "Previous")));
}
export function PaginationNext(props) {
    return (React.createElement(PaginationLink, { flexDirection: "row", size: "default", gap: 4, paddingRight: 10, ...props },
        React.createElement(Text, null, "Next"),
        React.createElement(ChevronRight, { width: 16, height: 16 })));
}
export function PaginationEllipsis(props) {
    return (React.createElement(Container, { flexDirection: "row", height: 36, width: 36, alignItems: "center", justifyContent: "center", ...props },
        React.createElement(MoreHorizontal, { width: 16, height: 16 })));
}
//<span className="sr-only">More pages</span>
