import { Container } from '@react-three/uikit';
import React, { useMemo } from 'react';
import { colors } from './theme';
import { computed } from '@preact/signals-core';
export function Progress({ value, ...props }) {
    const width = useMemo(() => computed(() => `${(value ?? 0)}%`), [value]);
    return (React.createElement(Container, { height: 16, width: "100%", borderRadius: 1000, backgroundColor: colors.secondary, ...props },
        React.createElement(Container, { height: "100%", borderRadius: 1000, backgroundColor: colors.primary, width: width })));
}
